Get an attachment
One attachment’s metadata and a signed download link valid for one hour. Needs a full access key.
GET
/emails/receiving/{email_id}/attachments/{id}Authorization
AuthorizationBearer token · headerrequiredA BillionSend API key (bs_…).
Path parameters
email_idstring<uuid>requiredidstring<uuid>requiredResponses
200
Attachment
idstring<uuid>requiredfilenamestringsizeintegerrequiredcontent_typestringrequiredcontent_dispositionstringrequiredAllowed:
inlineattachmentcontent_idstringdownload_urlstringrequiredSigned link to the file's bytes, valid for one hour; it needs no API key
expires_atstringrequiredobjectstringrequiredAllowed:
attachment401
Missing, malformed, unknown or revoked API key
statusCodenumberrequirednamestringrequiredmessagestringrequired403
Restricted API key
statusCodenumberrequirednamestringrequiredmessagestringrequired404
Not found
statusCodenumberrequirednamestringrequiredmessagestringrequired429
Over the rate limit (rate_limit_exceeded, with Retry-After)
statusCodenumberrequirednamestringrequiredmessagestringrequired